#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'lelang.informasi_tender'} ${lelang.namaPaket}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'lelang.home'}</a></li>
    <li class="active">&{'lelang.informasi_tender'}</li>
</ul>
#{if lelang.prakualifikasi}
    #{if isPanitia && lelang.showNotifTambahJadwalTambahan && lelang.lls_status.aktif}
        <div class="alert alert-warning">
            &{'lelang.telah_mengirim'} ${lelang.jumlahPesertaDikirimPesan} &{'lelang.telah_mengirim2'}<br/>
            &{'lelang.agar_peserta_mengirim_doc'}
            <br/><br/>
            &{'lelang.klik_disini'}
        </div>
    #{/if}
#{/if}
#{tabmenuLelang tahapStarted/}
<div class="content">
    #{alert /}
    <table class="table table-sm">
        <tr>
            <th width="25%" class="bg-warning">&{'lelang.kode_tender'}</th>
            <td><b>${lelang.lls_id} #{sesiInfo lelang.lls_sesi /}</b>
            #{if allow_report}<a href="@{admin.UtilityCtr.viewPDF(lelang.lls_id)}" class="badge pull-right">&{'lelang.summary_tender'}</a>#{/if}
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'lelang.nama_tender'}</th>
            <td>
                <b>${lelang.namaPaket} #{statusTender lelang/}</b>
                #{if !(lelang.lls_status.isDraft())}
                <a href="@{lelang.LelangCtr.pengumumanLelang(lelang.lls_id)}" target="_blank"><span class="badge  badge-secondary">Detil</span></a>
                #{/if}
            </td>
        </tr>
        #{if lelang.lls_status.ditutup}
        <tr>
            <th class="bgwarning">Alasan Pembatalan</th>
            <td>
                <strong>${lelang.lls_ditutup_karena}</strong>
            </td>
        </tr>
        #{/if}
        #{if lelang.isLelangUlang()}
        <tr>
            <th class="bgwarning">Alasan di Ulang</th>
            <td style="word-break:break-all">
                <strong>${lelang.lls_diulang_karena}</strong>
            </td>
        </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Tahap Tender Saat Ini</th>
            <td><a href="@{lelang.JadwalCtr.tahap(lelang.lls_id)}" target="_blank">${tahapNow?.raw()}</a>
                #{if allowEditJadwal && lelang.lls_status.aktif}<a href="@{lelang.JadwalCtr.list(lelang.lls_id)}" class="badge  badge-secondary"><i
                        class="fa fa-edit"></i> Edit</a>#{/if}
            </td>
        </tr>
        #{if lelang.konstruksi && !lelang.express}
        <tr>
            <th class="bgwarning">Reverse Auction?</th>
            <td colspan="3">#{if lelang.auction} Tender ini menggunakan Reverse Auction #{/if} #{else} Tender ini tidak menggunakan Reverse Auction #{/else}</td>
        </tr>
        #{/if}
        #{if active_user.panitia || active_user.auditor}
        <tr>
            <th class="bg-warning">&{'lelang.jumlah_peserta'}</th>
            <td>${lelang?.jumlahPeserta} &{'lelang.peserta'}</td>
        </tr>
    #{/if}
    #{if lelang.prakualifikasi}
        <tr>
            <th class="bg-warning">&{'lelang.doc_kualifikasi'}</th>
            <td>#{if allow_download_pra} #{dokLelang dok_kualifikasi, lelangV3:lelang.lelangV3 /} #{/if}
                #{if allow_adendum_pra && lelang.lls_status.aktif}
                    <div class="bs-callout bs-callout-warning">
                    &{'lelang.ketentuan_adendum'}
                        <ol>
                            <li>&{'lelang.ketentuan_adendum_1'}</li>
                            <li>&{'lelang.ketentuan_adendum_2'}</li>
                            <li>&{'lelang.ketentuan_adendum_3'}</li>
                        </ol>
                    </div>
                    <div class="list-group">
                        <a href="@{lelang.AdendumCtr.ldk(lelang.lls_id)}" class="list-group-item">${isFlag43 ? 'Persyaratan Kualifikasi':'Lembar Data Kualifikasi (LDK)'} #{if ldk_adendum_pra} <i class="fa fa-check float-right"></i> #{/if}
                        </a>
                    </div>
                </div>
                #{/if}
            </td>
        </tr>
        #{if allow_pengumuman_pra}
            <tr>
                <th class="bg-warning">&{'lelang.pengumuman_pemenang_pra'}</th>
                <td>#{if sudahKirimUndanganPra} &{'lelang.pengumuman_pemenang_pra_terkirim'} #{/if} #{else}<a
                        href="@{lelang.UndanganCtr.undangan(lelang.lls_id)}" class="badge">&{'lelang.pengumuman_pemenang'}</a>#{/else}
                </td>
            </tr>
        #{/if}
        #{/if}
        <tr>
            <th class="bgwarning">Dokumen ${lelang.prakualifikasi ? "Tender/Seleksi" : "Pemilihan"}</th>
            <td>#{if allow_download} #{dokLelang dok_lelang, lelangV3:lelang.lelangV3 /} #{/if}
                #{if allow_adendum && lelang.lls_status.aktif}
                <div class="card card-info">
                    <div class="card-header">Adendum
                        #{if allowUpload}
                        <a class="dialog float-right badge  badge-secondary" href="@{lelang.AdendumCtr.uploadDokTender(dok_lelang.dll_id)}" title="Kirim Dokumen ${lelang.prakualifikasi ? "Tender/Seleksi" : "Pemilihan"}">Upload</a>
                        #{/if}
                    </div>
                    <div class="list-group">
                        #{if !lelang.prakualifikasi && !lelang.pemilihan.lelangExpress && isPanitia}
                        <a href="@{lelang.AdendumCtr.ldk(lelang.lls_id)}" class="list-group-item">${isFlag43 ? 'Persyaratan Kualifikasi':'Lembar Data Kualifikasi (LDK)'} #{if ldk_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
                        #{/if}
                        #{if isPanitia}
                        <a href="@{lelang.AdendumCtr.masaBerlakuPenawaran(lelang.lls_id)}" class="list-group-item dialog" title="&{'doc.masaBerlakuPenawaran'}">&{'doc.masaBerlakuPenawaran'} ${masaberlaku?:'0'} hari sejak batas akhir pemasukan dokumen penawaran #{if ldp_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
                        #{/if}
                        #{if !lelang.pemilihan.lelangExpress && isPanitia}
                        <a href="@{lelang.AdendumCtr.checklist(lelang.lls_id)}" class="list-group-item">#{if isFlag43} &{'doc.syarat'} #{/if} #{else} Persyaratan Dokumen #{/else} #{if syarat_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
                        #{/if}
                        <a href="@{lelang.AdendumCtr.hps(lelang.lls_id)}" class="list-group-item"> Rincian HPS #{if hps_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
                        <a href="@{lelang.AdendumCtr.spek(lelang.lls_id)}" class="list-group-item dialog" title="Daftar &{'doc.kakspek'}" onhide-refresh="true">
                        &{'lelang.kerangka_acuan_kerja'} #{if spek_adendum} <i class="fa fa-check pull-right"></i> #{/if}
                        </a>
                        <a href="@{lelang.AdendumCtr.docSskk(lelang.lls_id)}" class="list-group-item dialog" title="Daftar &{'doc.sskk'}" onhide-refresh="true">
                            &{'doc.rancanganKontrak'} #{if rancangankontrak_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-upload float-right"></i>#{/else}
                        </a>
                        <a href="@{lelang.AdendumCtr.lainnya(lelang.lls_id)}" class="list-group-item dialog" title="Daftar Informasi Lainnya"  onhide-refresh="true" >Informasi Lainnya (Jika ada) #{if lainnya_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-upload float-right"></i>#{/else}</a>
                        #{if isPanitia}
                        <div class="list-group-item">Jenis Kontrak: ${jenis_kontrak} #{if jeniskontrak_adendum} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-info float-right"></i>#{/else}</div>
                        #{/if}
                        #{else}
                        <a class="dialog list-group-item" href="@{lelang.AdendumCtr.jenisKontrak(lelang.lls_id)}" title="Edit Jenis Kontrak">Jenis Kontrak: ${jenis_kontrak} #{if jeniskontrak_adendum}<i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
                        #{/else}
                    </div>
                </div>
                <div class="bs-callout bs-callout-info">
                    <ol>
                        <li>Pilih Persyaratan Kualifikasi jika ada bagian yang dilakukan adendum;</li>
                        <li>Isi masa berlaku penawaran jika ada bagian yang dilakukan adendum;</li>
                        <li>Pilih ${isFlag43 ? 'Dokumen Penawaran Teknis': 'Persyaratan Dokumen'} jika ada bagian yang dilakukan adendum;</li>
                        <li>Upload dokumen Informasi Lainnya jika ada bagian yang dilakukan adendum;</li>
                        <li>Upload adendum Dokumen Pemilihan yang baru; dan</li>
                        <li><strong>Batas akhir melakukan adendum Dokumen ${lelang.prakualifikasi ? "Tender/Seleksi" : "Pemilihan"} minimal 3 hari kerja sebelum jadwal Upload Dokumen Penawaran berakhir</strong>.</li>
                    </ol>
                </div>
                #{form @lelang.AdendumCtr.cetak(dok_lelang?.dll_id), id:'form-cetak', 'data-alert':'true'}  #{/form}
                #{/if}
            </td>
        </tr>
        #{if active_user.panitia || active_user.auditor}
        <tr>
            <th class="bg-warning">&{'lelang.jumlah_penawaran'}</th>
            <td>${lelang?.jumlahPenawar} &{'lelang.penawaran'}</td>
        </tr>
        #{/if}
        #{if allow_pembukaan && (lelang.lls_status.aktif || active_user.auditor)}
        <tr>
            <th class="bgwarning">Pembukaan Penawaran</th>
            <td>
                #{if isAuctionLelangCepat} Penawaran Menggunakan Reverse Auction #{/if}
                #{elseif lelang.satuFile}
                #{if isOSD}
                <a href="@{lelang.LelangCtr.pembukaan(lelang.lls_id, 3)}" width="window.screen.availWidth" height="window.screen.availWidth" class="jpopup">Lihat Penawaran</a>
                #{/if}
                #{else}
                #{tokenPembukaan lelang, tahapStarted: tahapStarted, jenis:3/}
                #{/else}
                #{/elseif}
                #{else}
                #{if isOSD}
                <a href="@{lelang.LelangCtr.pembukaan(lelang.lls_id, 1)}" width="window.screen.availWidth" height="window.screen.availWidth" class="jpopup">Lihat Penawaran</a><br/><br/>

                <a href="@{lelang.LelangCtr.pembukaan(lelang.lls_id, 2)}" width="window.screen.availWidth" height="window.screen.availWidth" class="jpopup">Lihat Penawaran</a>
                #{/if}
                #{else}
                #{tokenPembukaan lelang, tahapStarted: tahapStarted, jenis:1 /}<br/>

                #{if lelang.sudahEvaluasiTeknis}
                #{tokenPembukaan lelang, tahapStarted: tahapStarted, jenis:2 /}
                #{/if}
                #{else}
                <div class="alert alert-danger">Pembukaan penawaran harga belum diperbolehkan karena evaluasi teknis belum dilakukan </div>
                #{/else}
                #{/else}
                #{/else}
            </td>
        </tr>
        #{/if}
        #{if active_user.rekanan && peserta}
        #{if !lelang.express}
        <tr>
            <th class="bgwarning">Kualifikasi</th>
            <td>#{kirimKualifikasi lelang, peserta:peserta, dok_kualifikasi:penawaran_kualifikasi, tahapAktif:tahapAktif /}
                #{if lelang.is_kualifikasi_tambahan && !peserta.is_dikirim_pesan && isKirimKualifikasi && lelang.lls_status.aktif}
                <div class="bs-callout bs-callout-warning">
                    Anda tidak diizinkan untuk melengkapi Persyaratan Kualifikasi tambahan karena tidak termasuk dalam
                    daftar Peserta yang dikirimkan pesan oleh Pokja Pemilihan untuk melengkapi Persyaratan Kualifikasi.
                </div>
                #{/if}
                #{if notifikasi_kualifikasi} <div class="alert alert-danger">Dokumen Kualifikasi Anda terkirim sebelum terjadi Adendum Dokumen Kualifikasi </div>#{/if}
            </td>
        </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Penawaran Anda</th>
            <td>#{if kualifikasiUploaded}
                #{if isAuctionLelangCepat} Penawaran Menggunakan Reverse Auction #{/if}
                #{elseif lelang.satuFile}
                #{if isOSD}
                <a href="@{lelang.LelangCtr.penawaran(lelang.lls_id, 3)}" width="window.screen.availWidth" height="window.screen.availWidth" class="jpopup">Lihat Penawaran</a>
                #{/if}
                #{else}
                #{kirimPenawaran lelang, peserta:peserta, tahapAktif:tahapAktif, jenis:3 /}
                #{/else}
                #{/elseif}
                #{else}
                #{if isOSD}
                #{if lelang?.isAllowKirimPenawaran(peserta, tahapAktif, models.lelang.Dok_penawaran.JenisDokPenawaran.PENAWARAN_TEKNIS_ADMINISTRASI)}
                <a href="@{lelang.LelangCtr.penawaran(lelang.lls_id, 1)}" width="window.screen.availWidth" height="window.screen.availWidth" class="jpopup">Lihat Penawaran</a><br/>
                #{/if}
                #{if lelang?.isAllowKirimPenawaran(peserta, tahapAktif, models.lelang.Dok_penawaran.JenisDokPenawaran.PENAWARAN_HARGA)}
                <a href="@{lelang.LelangCtr.penawaran(lelang.lls_id, 2)}" width="window.screen.availWidth" height="window.screen.availWidth" class="jpopup">Lihat Penawaran</a>
                #{/if}
                #{/if}
                #{else}
                #{kirimPenawaran lelang, peserta:peserta, tahapAktif:tahapAktif, jenis:1 /}
                #{kirimPenawaran lelang, peserta:peserta, tahapAktif:tahapAktif, jenis:2 /}
                #{/else}
                #{/else}
                #{if notifikasi_admin_teknis} <div class="alert alert-danger">Penawaran Administrasi dan Teknis Anda terkirim sebelum terjadi Adendum Dokumen Pemilihan </div>#{/if}
                #{if notifikasi_harga} <div class="alert alert-danger">Penawaran Harga Anda terkirim sebelum terjadi Adendum Dokumen Pemilihan </div> #{/if}
                #{/if}
                #{else} Anda wajib mengirimkan Persyaratan Kualifikasi terlebih dahulu. #{/else}
            </td>
        </tr>

        <tr>
            <th class="bg-warning">&{'lelang.undangan'}</th>
            <td>#{cetakUndangan peserta /}</td>
        </tr>

        #{/if}
        #{if tahapStarted.evaluasi}
        <tr>
            <th class="bg-warning">&{'lelang.hasil_evaluasi'}</th>
            <td> #{informasiEvaluasi lelang, peserta:peserta, tahapStarted:tahapStarted /}</td>
        </tr>
        #{/if}
        <tr>
            <th class="bg-warning">&{'lelang.ba'}</th>
            <td>#{beritaAcara lelang, tahapStarted:tahapStarted /}</td>
        </tr>

    #{if allow_pengumuman_pemenang}
        <tr>
            <th class="bg-warning">&{'lelang.pengumuman_pemenang'}</th>
            <td>#{if sudahKirimPengumuman} &{'lelang.pemenang_terkirim'}#{/if}
                #{else}<a href="@{lelang.UndanganCtr.undangan(lelang.lls_id)}" class="badge">&{'lelang.pengumuman_pemenang'}</a>#{/else}
            </td>
        </tr>
        #{/if}
        <tr>
            <th class="bg-warning">&{'lelang.ba_lainnya'}</th>
            <td>#{include 'lelang/berita_acara/baTambahan.html' /}</td>
        </tr>
        #{if pemenang || active_user.ppk}
        <tr>
            <th class="bg-warning">&{'lelang.surat_penunjukan'}</th>
            <td>#{sppbjPenyedia lelang.lls_id /}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{'lelang.download_doc_akhir'}</th>
            <td>#{dokumenKontrak lelang.lls_id /}</td>
        </tr>
        #{/if}
        #{if active_user.panitia }
        <tr>
            <th class="bgwarning">PPK</th>
            <td>
                #{if isFlag43}
                #{list items: paketPpk, as: 'pakePpkItem'}
                ${pakePpkItem?.namaPpk}&nbsp;
                #{if lelang.lls_status.aktif}
                <a class="btn btn-secondary btn-sm" title="Ganti PPK" href="@{lelang.PaketCtr.ppk(lelang.pkt_id,pakePpkItem?.ppk_id)}">
                    <i class="fa fa-edit"></i> Ganti PPK
                </a>
                #{/if}
                #{/list}
                #{/if}
                #{else}
                <ul class="list-unstyled">
                    #{list items:ppkList, as:'ppk'}
                        <li>${ppk?.namaPegawai}&nbsp;
                            #{if lelang.lls_status.aktif}
                            <a class="btn btn-default btn-xs" title="Ganti PPK" href="@{lelang.PaketCtr.ppk(lelang.pkt_id,ppk?.ppk_id, ppk?.ang_id)}">
                            <i class="fa fa-edit"></i>&nbsp; &{'lelang.ganti_ppk'}</a>
                            #{/if}
                        </li>
                    #{/list}
                </ul>
                #{/else}
            </td>
        </tr>
        #{if historyPpkList.size != 0 }
        <tr>
            <th class="bgwarning"> Riwayat PPK</th>
            <td>
                <table class="table table-sm">
                    <tr>
                        <th>Tanggal</th>
                        <th>Nama PPK Terganti</th>
                        <th>Alasan Diganti</th>
                        <th>Penanggung Jawab</th>
                    </tr>
                    #{list items:historyPpkList, as:'ppk'}
                    <tr>
                        <td>${ppk.tgl_perubahan.formatDateTime()}</td>
                        <td>${ppk.namaPpk}</td>
                        <td>${ppk.alasan == null ? "-" : ppk.alasan}</td>
                        <td>${ppk.peg_id == null ? "-" : ppk.namaPegawai}</td>
                    </tr>
                    #{/list}
                </table>
            </td>
        </tr>
        #{/if}
        #{/if}
        #{if active_user.auditor}
        <tr>
            <th class="bgwarning"> &nbsp;</th>
            <td><a href="@{AuditorCtr.audit_kontrak(lelang.lls_id)}" class="btn btn-success">SPPBJ dan Kontrak</a>
                #{if allowKeterangan} <div class="bs-callout bs-callout-warning">Dokumen Penawaran dapat diambil di Pokja Pemilihan yang bersangkutan </div>#{/if}
                #{elseif !lelang.express} <div class="bs-callout bs-callout-warning">Untuk membuka dokumen penawaran menggunakan <a href="${controllers.BasicCtr.getURLApendo()}"><i class="fa fa-download"></i> Apendo</a> </div> #{/elseif}
            </td>
        </tr>
        <tr>
            <th class="bgwarning" width="200">Nilai HPS</th>
            <td>${lelang?.paket?.pkt_hps.rupiah()} <a href="@{lelang.DokumenCtr.hps(lelang.lls_id)}" class="badge  badge-secondary">Rincian HPS</a></td>
        </tr>
        #{/if}
    </table>
    #{if active_user.panitia}
    #{if isPra && lelang.lls_status.aktif && !lelang.pemilihan.lelangExpress && allowEvaluasiUlangPra}
    <a href="@{lelang.LelangCtr.praGagal(lelang.lls_id)}" title="Apakah anda yakin akan mengulang atau membatalkan prakualifikasi pada paket ini ?" class="btn btn-danger confirm">Prakualifikasi Gagal</a>
    #{/if}
    #{if lelang.allowUlang}
    #{form @lelang.LelangCtr.ulang(lelang.lls_id), class:'form-inline'}
    <button type="submit" name="ulang" class="btn btn-danger" onClick="return confirm('Anda yakin akan Mengulang paket ini');" value="true">Mengulang Tender</button>
    #{/form}
    #{/if}
    #{elseif lelang.lls_status.aktif}
    <a class="btn btn-danger confirm" href="@{lelang.LelangCtr.tutup(lelang.lls_id)}" title="Apakah anda yakin akan mengulang atau membatalkan paket ini?">Tender Gagal</a>
    #{/elseif}
    #{if allowUpdate && lelang.lls_status.aktif} <a href="@{lelang.LelangCtr.updateLelang(lelang.lls_id)}" class="btn btn-warning">Ubah Tender</a> #{/if}
    #{if allowForensik && allow_pembukaan && !lelang.pemilihan.lelangExpress && lelang.lls_status.aktif}
    <a href="@{lelang.LelangCtr.viewRhsPermission(lelang.lls_id)}" class="btn btn-primary">Forensik Penawaran Peserta</a>
    #{/if}
    #{/if}
</div>

#{set 'css_custom'}
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set }

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">

    $('.btn.btn-secondary.disable').click(function (e) {
        e.preventDefault();
    });

        #{if active_user.panitia}

        $('.btn-ba').each(function() {
            var jenis = $(this).attr('value');
            var aksi = $(this).data('aksi');
            var formBa  = #{jsRoute @lelang.BeritaAcaraCtr.formBa(':id', ':jenis', ':aksi') /};
            $(this).attr('href', formBa.url({id:${lelang.lls_id}, jenis:jenis, aksi:aksi}));
        });

        function isValidDate(dateString)
        {
            // Parse the date parts to integers
            var parts = dateString.split(" ")[0].split("-");
            var day = parseInt(parts[0], 10);
            var month = parseInt(parts[1], 10);
            var year = parseInt(parts[2], 10);

            // Check the ranges of month and year
            if(year < 1000 || year > 3000 || month == 0 || month > 12)
                return false;

            var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

            // Adjust for leap years
            if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
            monthLength[1] = 29;

            // Check the range of the day
            return day > 0 && day <= monthLength[month - 1];
        };



        $(document).on('click', '#baTambahan', function () {
            $('#baTambahan').fileupload({
                url: '@{lelang.BeritaAcaraCtr.uploadTambahan(lelang?.lls_id)}',
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
                add: function (e, data) {
                        var fileName = "";
                        $.each(data.files, function (index, file) {
                            fileName = file.name;
                        });
                        var message = "Apakah Anda yakin akan umumkan '"+ fileName + "' sebagai Berita Acara Lainnya?";
                        if(confirm(message) == true)
                        {
                            data.submit();
                        } else {
                            data.abort();
                        }
                },
                done: function (e, data) {
                    $('#progress').hide();
                    $('#progress-infolain').hide();
                    if (data.result.success) {
                        $.each(data.result.files, function (index, file) {
                            var upload_date = file.upload_date;
                            var content = '<td><a href="' + file.download_url + '"><i class="fa fa-download"></i> ' + file.name + '</td><td>' + upload_date + '</td>';
                            $('<tr/>').html(content).appendTo('#files-infolain');
                        });
                        $('#alert-upload-infolain').removeAttr('class').html('<div class="alert alert-success" role="alert">&{'lelang.file_diupload'}</div>').show();
                    } else {
                        $('#alert-upload-infolain').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
                    }
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progress-infolain').show();
                    $('#progress-infolain .progress-bar').css(
                            'width',
                            progress + '%'
                    );
                }
            }).on('fileuploadprocessalways', function (e, data) {
                var file = data.files[data.index];
                if (data.files.error && file.error) {
                    var msg = file.name + ' - ' + file.error
                    $('#alert-upload-infolain').attr('class', 'alert alert-danger').html(msg)
                }
            }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
        })
        //cetak dokument
        $(document).on('click', '.cetak', function () {
            var id = $(this).attr('value');
            $('#' + id).submit();
        });

        $(document).on('click', '.removeDok-infolain', function () {
            var id = $(this).attr('id');
            var versi = $(this).attr('versi')
            var parent = $(this).parent()
            $.ajax({
                type: 'POST',
                url: '@{lelang.BeritaAcaraCtr.hapusBaTambahan(lelang?.lls_id)}',
                data: {'versi': versi},
                success : function(){
                    $('#alert-upload-infolain').html('<div class="alert alert-success fade in" role="alert">&{'lelang.file_dihapus'}</div>').show();
                    parent.parent().remove()
                },
                error : function(){
                    $('#alert-upload-infolain').html('<div class="alert alert-danger fade in" role="alert">&{'lelang.file_gagal_dihapus'}</div>').show();
                }
            })
        });
        #{/if}
</script>
#{/set}